# $Revision: 1.10 $, $Date: 2010/03/09 07:45:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SVN
%define		pnam	Simple
Summary:	SVN::Simple - Simple interface for delta editors
Summary(pl.UTF-8):	SVN::Simple - prosty interfejs do edytorów różnic
Name:		perl-SVN-Simple
Version:	0.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-authors/id/C/CL/CLKAO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4de2374434df79dace03075c69e7b93f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-subversion
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SVN::Simple::Edit, a simple interface for driving svn delta editors
and SVN::Simple::Editor, a simple interface for writing a delta
editor.

%description -l pl.UTF-8
SVN::Simple::Edit to prosty interfejs do sterowania edytorami różnic
(delt) svn, a SVN::Simple::Editor to prosty interfejs do pisania
edytora różnic.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGE*
%{perl_vendorlib}/SVN/Simple
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SVN-Simple.spec,v $
Revision 1.10  2010/03/09 07:45:40  amateja
- updated to 0.28

Revision 1.9  2008/07/27 22:24:16  arekm
- release 2

Revision 1.8  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.6  2005/04/07 19:05:31  arekm
- up to 0.27

Revision 1.5  2004/12/01 18:13:03  radek
- autoupdated to 0.26

Revision 1.4  2004/12/01 10:34:04  radek
- standarized Source0 URL

Revision 1.3  2004/11/03 22:30:42  paladine
- formatting

Revision 1.2  2004/05/21 17:50:59  qboosh
- pl

Revision 1.1  2004/05/21 02:28:18  arekm
- initial pld release
